%define upstream_name    perlindex
%define upstream_version 1.606

Name:       %{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    English language stemming
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Text/%{upstream_name}-%{upstream_version}.tar.gz

BuildArch: noarch

Obsoletes: perl-perlindex

%description
This routine applies the Porter Stemming Algorithm to its parameters,
returning the stemmed words. It is derived from the C program "stemmer.c"
as found in freewais and elsewhere, which contains these notes:

   Purpose:    Implementation of the Porter stemming algorithm documented 
               in: Porter, M.F., "An Algorithm For Suffix Stripping," 
               Program 14 (3), July 1980, pp. 130-137.
   Provenance: Written by B. Frakes and C. Cox, 1986.

I have re-interpreted areas that use Frakes and Cox's "WordSize" function.
My version may misbehave on short words starting with "y", but I can't
think of any examples.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc ChangeLog META.yml README
%{_mandir}/man1/*
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/perlindex


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 1.606.0-4.mga4
+ Revision: 522739
- Mageia 4 Mass Rebuild

* Tue Mar 26 2013 guillomovitch <guillomovitch> 1.606.0-3.mga3
+ Revision: 405341
- new release

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Feb 16 2011 jquelin <jquelin> 1.605.0-2.mga1
+ Revision: 52169
- fix %%files
- obsoleting perl-perlindex (same module, different pkg name)

* Tue Jan 18 2011 jquelin <jquelin> 1.605.0-1.mga1
+ Revision: 22512
- cleaning spec file
- imported package perlindex

